Bug 867394 - [abrt] control-center-3.4.2-1.fc17: gtk_widget_size_allocate: Process /usr/bin/gnome-control-center was killed by signal 11 (SIGSEGV)
[abrt] control-center-3.4.2-1.fc17: gtk_widget_size_allocate: Process /usr/bi...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
abrt_hash:1597bac8b1d470574e6ed23a85e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 08:38 EDT by Sylvain Petreolle
Modified: 2013-07-31 18:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 18:27:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (5.28 KB, text/plain)
2012-10-17 08:38 EDT, Sylvain Petreolle
no flags Details
File: environ (1.38 KB, text/plain)
2012-10-17 08:38 EDT, Sylvain Petreolle
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-17 08:38 EDT, Sylvain Petreolle
no flags Details
File: backtrace (56.14 KB, text/plain)
2012-10-17 08:38 EDT, Sylvain Petreolle
no flags Details
File: cgroup (130 bytes, text/plain)
2012-10-17 08:38 EDT, Sylvain Petreolle
no flags Details
File: maps (86.41 KB, text/plain)
2012-10-17 08:38 EDT, Sylvain Petreolle
no flags Details
File: dso_list (19.33 KB, text/plain)
2012-10-17 08:38 EDT, Sylvain Petreolle
no flags Details
File: var_log_messages (678 bytes, text/plain)
2012-10-17 08:38 EDT, Sylvain Petreolle
no flags Details
File: open_fds (414 bytes, text/plain)
2012-10-17 08:38 EDT, Sylvain Petreolle
no flags Details

  None (edit)
Description Sylvain Petreolle 2012-10-17 08:38:11 EDT
Description of problem:
I launched the display properties in a xrdp Gnome-Shell session
It required disabling the RANDR extension to get a usable screen (Gnome-Shell gives me a 1900x1200 desktop otherwise).
When I closed the display properties, I got the SIGSEGV message.


Version-Release number of selected component:
control-center-3.4.2-1.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        gnome-control-center --overview
crash_function: gtk_widget_size_allocate
kernel:         3.6.1-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 gtk_widget_size_allocate at gtkwidget.c:4872
: #1 cc_panel_size_allocate at cc-panel.c:180
: #2 g_cclosure_marshal_VOID__BOXEDv at gmarshal.c:1160
: #3 _g_closure_invoke_va at gclosure.c:840
: #6 gtk_widget_size_allocate at gtkwidget.c:4992
: #7 gtk_alignment_size_allocate at gtkalignment.c:574
: #12 gtk_widget_size_allocate at gtkwidget.c:4992
: #13 gtk_notebook_size_allocate at gtknotebook.c:2565
: #18 gtk_widget_size_allocate at gtkwidget.c:4992
: #19 gtk_box_size_allocate at gtkbox.c:660
Comment 1 Sylvain Petreolle 2012-10-17 08:38:15 EDT
Created attachment 628758 [details]
File: core_backtrace
Comment 2 Sylvain Petreolle 2012-10-17 08:38:17 EDT
Created attachment 628759 [details]
File: environ
Comment 3 Sylvain Petreolle 2012-10-17 08:38:19 EDT
Created attachment 628760 [details]
File: limits
Comment 4 Sylvain Petreolle 2012-10-17 08:38:22 EDT
Created attachment 628761 [details]
File: backtrace
Comment 5 Sylvain Petreolle 2012-10-17 08:38:24 EDT
Created attachment 628762 [details]
File: cgroup
Comment 6 Sylvain Petreolle 2012-10-17 08:38:27 EDT
Created attachment 628763 [details]
File: maps
Comment 7 Sylvain Petreolle 2012-10-17 08:38:30 EDT
Created attachment 628764 [details]
File: dso_list
Comment 8 Sylvain Petreolle 2012-10-17 08:38:32 EDT
Created attachment 628765 [details]
File: var_log_messages
Comment 9 Sylvain Petreolle 2012-10-17 08:38:34 EDT
Created attachment 628766 [details]
File: open_fds
Comment 10 Fedora End Of Life 2013-07-03 17:24:33 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2013-07-31 18:27:19 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.